Package ghidra.app.util.bin.format.dwarf4.encoding

# Class DWARFTag

java.lang.Object
ghidra.app.util.bin.format.dwarf4.encoding.DWARFTag

public final class DWARFTag extends Object
DWARF uses a series of debugging information entries to define a low-level representation of a source program. Each debugging information entry is described by an identifying tag and contains a series of attributes. The tag specifies the class to which an entry belongs, and the attributes define the specific characteristics of the entry.

The debugging information entries in DWARF Version 2, 3, and 4 are intended to exist in the .debug_info section of an object file.

The set of required tag names is listed below.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `DW_TAG_access_declaration`
  `static final int`
  `DW_TAG_APPLE_ptrauth_type`
  `static final int`
  `DW_TAG_array_type`
  `static final int`
  `DW_TAG_base_type`
  `static final int`
  `DW_TAG_call_site`
  `static final int`
  `DW_TAG_call_site_parameter`
  `static final int`
  `DW_TAG_catch_block`
  `static final int`
  `DW_TAG_class_type`
  `static final int`
  `DW_TAG_common_block`
  `static final int`
  `DW_TAG_common_inclusion`
  `static final int`
  `DW_TAG_compile_unit`
  `static final int`
  `DW_TAG_condition`
  `static final int`
  `DW_TAG_const_type`
  `static final int`
  `DW_TAG_constant`
  `static final int`
  `DW_TAG_dwarf_procedure`
  `static final int`
  `DW_TAG_entry_point`
  `static final int`
  `DW_TAG_enumeration_type`
  `static final int`
  `DW_TAG_enumerator`
  `static final int`
  `DW_TAG_file_type`
  `static final int`
  `DW_TAG_formal_parameter`
  `static final int`
  `DW_TAG_friend`
  `static final int`
  `DW_TAG_gnu_call_site`
  `static final int`
  `DW_TAG_gnu_call_site_parameter`
  `static final int`
  `DW_TAG_hi_user`
  `static final int`
  `DW_TAG_imported_declaration`
  `static final int`
  `DW_TAG_imported_module`
  `static final int`
  `DW_TAG_imported_unit`
  `static final int`
  `DW_TAG_inheritance`
  `static final int`
  `DW_TAG_inlined_subroutine`
  `static final int`
  `DW_TAG_interface_type`
  `static final int`
  `DW_TAG_label`
  `static final int`
  `DW_TAG_lexical_block`
  `static final int`
  `DW_TAG_lo_user`
  `static final int`
  `DW_TAG_member`
  `static final int`
  `DW_TAG_module`
  `static final int`
  `DW_TAG_mutable_type`
  `static final int`
  `DW_TAG_namelist`
  `static final int`
  `DW_TAG_namelist_item`
  `static final int`
  `DW_TAG_namespace`
  `static final int`
  `DW_TAG_packed_type`
  `static final int`
  `DW_TAG_partial_unit`
  `static final int`
  `DW_TAG_pointer_type`
  `static final int`
  `DW_TAG_ptr_to_member_type`
  `static final int`
  `DW_TAG_reference_type`
  `static final int`
  `DW_TAG_restrict_type`
  `static final int`
  `DW_TAG_rvalue_reference_type`
  `static final int`
  `DW_TAG_set_type`
  `static final int`
  `DW_TAG_shared_type`
  `static final int`
  `DW_TAG_string_type`
  `static final int`
  `DW_TAG_structure_type`
  `static final int`
  `DW_TAG_subprogram`
  `static final int`
  `DW_TAG_subrange_type`
  `static final int`
  `DW_TAG_subroutine_type`
  `static final int`
  `DW_TAG_template_alias`
  `static final int`
  `DW_TAG_template_type_param`
  `static final int`
  `DW_TAG_template_value_param`
  `static final int`
  `DW_TAG_thrown_type`
  `static final int`
  `DW_TAG_try_block`
  `static final int`
  `DW_TAG_type_unit`
  `static final int`
  `DW_TAG_typedef`
  `static final int`
  `DW_TAG_union_type`
  `static final int`
  `DW_TAG_unspecified_parameters`
  `static final int`
  `DW_TAG_unspecified_type`
  `static final int`
  `DW_TAG_variable`
  `static final int`
  `DW_TAG_variant`
  `static final int`
  `DW_TAG_variant_part`
  `static final int`
  `DW_TAG_volatile_type`
  `static final int`
  `DW_TAG_with_stmt`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DWARFTag()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DW_TAG_array_type

    public static final int DW_TAG_array_type
    See Also:
      - Constant Field Values

  - ### DW_TAG_class_type

    public static final int DW_TAG_class_type
    See Also:
      - Constant Field Values

  - ### DW_TAG_entry_point

    public static final int DW_TAG_entry_point
    See Also:
      - Constant Field Values

  - ### DW_TAG_enumeration_type

    public static final int DW_TAG_enumeration_type
    See Also:
      - Constant Field Values

  - ### DW_TAG_formal_parameter

    public static final int DW_TAG_formal_parameter
    See Also:
      - Constant Field Values

  - ### DW_TAG_imported_declaration

    public static final int DW_TAG_imported_declaration
    See Also:
      - Constant Field Values

  - ### DW_TAG_label

    public static final int DW_TAG_label
    See Also:
      - Constant Field Values

  - ### DW_TAG_lexical_block

    public static final int DW_TAG_lexical_block
    See Also:
      - Constant Field Values

  - ### DW_TAG_member

    public static final int DW_TAG_member
    See Also:
      - Constant Field Values

  - ### DW_TAG_pointer_type

    public static final int DW_TAG_pointer_type
    See Also:
      - Constant Field Values

  - ### DW_TAG_reference_type

    public static final int DW_TAG_reference_type
    See Also:
      - Constant Field Values

  - ### DW_TAG_compile_unit

    public static final int DW_TAG_compile_unit
    See Also:
      - Constant Field Values

  - ### DW_TAG_string_type

    public static final int DW_TAG_string_type
    See Also:
      - Constant Field Values

  - ### DW_TAG_structure_type

    public static final int DW_TAG_structure_type
    See Also:
      - Constant Field Values

  - ### DW_TAG_subroutine_type

    public static final int DW_TAG_subroutine_type
    See Also:
      - Constant Field Values

  - ### DW_TAG_typedef

    public static final int DW_TAG_typedef
    See Also:
      - Constant Field Values

  - ### DW_TAG_union_type

    public static final int DW_TAG_union_type
    See Also:
      - Constant Field Values

  - ### DW_TAG_unspecified_parameters

    public static final int DW_TAG_unspecified_parameters
    See Also:
      - Constant Field Values

  - ### DW_TAG_variant

    public static final int DW_TAG_variant
    See Also:
      - Constant Field Values

  - ### DW_TAG_common_block

    public static final int DW_TAG_common_block
    See Also:
      - Constant Field Values

  - ### DW_TAG_common_inclusion

    public static final int DW_TAG_common_inclusion
    See Also:
      - Constant Field Values

  - ### DW_TAG_inheritance

    public static final int DW_TAG_inheritance
    See Also:
      - Constant Field Values

  - ### DW_TAG_inlined_subroutine

    public static final int DW_TAG_inlined_subroutine
    See Also:
      - Constant Field Values

  - ### DW_TAG_module

    public static final int DW_TAG_module
    See Also:
      - Constant Field Values

  - ### DW_TAG_ptr_to_member_type

    public static final int DW_TAG_ptr_to_member_type
    See Also:
      - Constant Field Values

  - ### DW_TAG_set_type

    public static final int DW_TAG_set_type
    See Also:
      - Constant Field Values

  - ### DW_TAG_subrange_type

    public static final int DW_TAG_subrange_type
    See Also:
      - Constant Field Values

  - ### DW_TAG_with_stmt

    public static final int DW_TAG_with_stmt
    See Also:
      - Constant Field Values

  - ### DW_TAG_access_declaration

    public static final int DW_TAG_access_declaration
    See Also:
      - Constant Field Values

  - ### DW_TAG_base_type

    public static final int DW_TAG_base_type
    See Also:
      - Constant Field Values

  - ### DW_TAG_catch_block

    public static final int DW_TAG_catch_block
    See Also:
      - Constant Field Values

  - ### DW_TAG_const_type

    public static final int DW_TAG_const_type
    See Also:
      - Constant Field Values

  - ### DW_TAG_constant

    public static final int DW_TAG_constant
    See Also:
      - Constant Field Values

  - ### DW_TAG_enumerator

    public static final int DW_TAG_enumerator
    See Also:
      - Constant Field Values

  - ### DW_TAG_file_type

    public static final int DW_TAG_file_type
    See Also:
      - Constant Field Values

  - ### DW_TAG_friend

    public static final int DW_TAG_friend
    See Also:
      - Constant Field Values

  - ### DW_TAG_namelist

    public static final int DW_TAG_namelist
    See Also:
      - Constant Field Values

  - ### DW_TAG_namelist_item

    public static final int DW_TAG_namelist_item
    See Also:
      - Constant Field Values

  - ### DW_TAG_packed_type

    public static final int DW_TAG_packed_type
    See Also:
      - Constant Field Values

  - ### DW_TAG_subprogram

    public static final int DW_TAG_subprogram
    See Also:
      - Constant Field Values

  - ### DW_TAG_template_type_param

    public static final int DW_TAG_template_type_param
    See Also:
      - Constant Field Values

  - ### DW_TAG_template_value_param

    public static final int DW_TAG_template_value_param
    See Also:
      - Constant Field Values

  - ### DW_TAG_thrown_type

    public static final int DW_TAG_thrown_type
    See Also:
      - Constant Field Values

  - ### DW_TAG_try_block

    public static final int DW_TAG_try_block
    See Also:
      - Constant Field Values

  - ### DW_TAG_variant_part

    public static final int DW_TAG_variant_part
    See Also:
      - Constant Field Values

  - ### DW_TAG_variable

    public static final int DW_TAG_variable
    See Also:
      - Constant Field Values

  - ### DW_TAG_volatile_type

    public static final int DW_TAG_volatile_type
    See Also:
      - Constant Field Values

  - ### DW_TAG_dwarf_procedure

    public static final int DW_TAG_dwarf_procedure
    See Also:
      - Constant Field Values

  - ### DW_TAG_restrict_type

    public static final int DW_TAG_restrict_type
    See Also:
      - Constant Field Values

  - ### DW_TAG_interface_type

    public static final int DW_TAG_interface_type
    See Also:
      - Constant Field Values

  - ### DW_TAG_namespace

    public static final int DW_TAG_namespace
    See Also:
      - Constant Field Values

  - ### DW_TAG_imported_module

    public static final int DW_TAG_imported_module
    See Also:
      - Constant Field Values

  - ### DW_TAG_unspecified_type

    public static final int DW_TAG_unspecified_type
    See Also:
      - Constant Field Values

  - ### DW_TAG_partial_unit

    public static final int DW_TAG_partial_unit
    See Also:
      - Constant Field Values

  - ### DW_TAG_imported_unit

    public static final int DW_TAG_imported_unit
    See Also:
      - Constant Field Values

  - ### DW_TAG_mutable_type

    public static final int DW_TAG_mutable_type
    See Also:
      - Constant Field Values

  - ### DW_TAG_condition

    public static final int DW_TAG_condition
    See Also:
      - Constant Field Values

  - ### DW_TAG_shared_type

    public static final int DW_TAG_shared_type
    See Also:
      - Constant Field Values

  - ### DW_TAG_type_unit

    public static final int DW_TAG_type_unit
    See Also:
      - Constant Field Values

  - ### DW_TAG_rvalue_reference_type

    public static final int DW_TAG_rvalue_reference_type
    See Also:
      - Constant Field Values

  - ### DW_TAG_template_alias

    public static final int DW_TAG_template_alias
    See Also:
      - Constant Field Values

  - ### DW_TAG_call_site

    public static final int DW_TAG_call_site
    See Also:
      - Constant Field Values

  - ### DW_TAG_call_site_parameter

    public static final int DW_TAG_call_site_parameter
    See Also:
      - Constant Field Values

  - ### DW_TAG_lo_user

    public static final int DW_TAG_lo_user
    See Also:
      - Constant Field Values

  - ### DW_TAG_gnu_call_site

    public static final int DW_TAG_gnu_call_site
    See Also:
      - Constant Field Values

  - ### DW_TAG_gnu_call_site_parameter

    public static final int DW_TAG_gnu_call_site_parameter
    See Also:
      - Constant Field Values

  - ### DW_TAG_hi_user

    public static final int DW_TAG_hi_user
    See Also:
      - Constant Field Values

  - ### DW_TAG_APPLE_ptrauth_type

    public static final int DW_TAG_APPLE_ptrauth_type
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DWARFTag

    public DWARFTag()